[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: libesd0 v libesd-alsa0

On Wed, 20 Dec 2006 10:15:47 +0300, Vladimir Kozlov wrote:
> Somehow I had libesd0 installed while I have alsa as well, and this
> prevents alsa from working properly - I had to do alsaconf after each
> reboot.
> Shouldn't the libesd-alsa0 be automatically installed with alsa instead
> the libesd0?
> Please CC me as I'm not in the debian-devel list.

It is a shame that libesd0 is instaled by default instead of libesd-alsa0
but AFAIK it's too late in the release cycle to do anything about it. :(

I think the best way would be to change the shlibs information for
libesd0 so that packages that use it end up depending on "libesd-alsa0 |
libesd0". However that would require a rebuild of all depending packages.

Perhaps the installer could be hacked to install libesd-alsa0 by default
or something. It would be great if we didn't have to go through _another_
release where users will have to put up with programs hogging their sound
cards, especially since alsa-lib now has software mixing configured by

Sam Morris

PGP key id 1024D/5EA01078
3412 EA18 1277 354B 991B  C869 B219 7FDB 5EA0 1078

Reply to: